> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Job Status

> Get the status of an organization-level job.

This endpoint retrieves the status of jobs that operate at the organization level,
such as org-wide data deletion jobs.

**Authorization**: The job's organization_id must match the user's organization.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/org-jobs/{job_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/org-jobs/{job_id}:
    get:
      tags:
        - Organization Jobs
      summary: Get Org Job Status
      description: >-
        Get the status of an organization-level job.


        This endpoint retrieves the status of jobs that operate at the
        organization level,

        such as org-wide data deletion jobs.


        **Authorization**: The job's organization_id must match the user's
        organization.
      operationId: get_org_job_status_v2_org_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgJobDB'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
components:
  schemas:
    OrgJobDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
        job_name:
          type: string
          title: Job Name
        status:
          type: string
          title: Status
        request_data:
          additionalProperties: true
          type: object
          title: Request Data
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - organization_id
        - job_name
        - status
        - request_data
        - created_at
        - updated_at
      title: OrgJobDB
      description: Response schema for org jobs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login

````